#include "timings.h"
#include <chrono>

namespace kek {

Timer::Timer() {
	reset();
}

void Timer::reset() {
	this->start = std::chrono::high_resolution_clock::now();
}

float Timer::elapsedSeconds() {
	auto now = std::chrono::high_resolution_clock::now();
	std::chrono::duration<float> secsTaken = now - start;
	return secsTaken.count();
}

}
